Home Home > Tag > d-bus
Sign up | Login

Posts Tagged ‘d-bus’

GNOME, LLVM, Samba, Ruby Packages Update in Tumbleweed

October 24th, 2019 by

Two openSUSE Tumbleweed snapshots were released this week that updated several libraries as well as updates for GNOME, Ruby, Samba, Mozilla and the LLVM compiler.

Snapshot 20191018 provided minor updates for both Mozilla Firefox 69.0.3 and Thunderbird 68.1.2. The update to Firefox fixed a bug that prompted Yahoo mail users to download files when clicking on emails and the Thunderbird update fixed some glitches and fixed the address book import from a CSV. GNOME software updated to version 3.34,which could be the version that will come in openSUSE Leap 15.2. GNOME’s Thessaloniki release includes visual refreshes for a number of applications and the background selection settings also received a redesign, making it easier to select custom backgrounds. Developers using GNOME 3.34 will notices more data sources in Sysprof that make performance profiling of applications easier. Improvements to Builder include an integrated D-Bus inspector. Javascript bindings for GNOME were also updated with the gjs 1.58.1 version and gtk3 3.24.12 fixed a pointer offsets under X11 and Wayland. Python2 runtime support was removed with the updated of the samba 4.11.0 package; python 3.4 or later is required.

Also in the 20191018 snapshot was an update for the new programing language vala 0.46.3 that focuses on GNOME developers had multiple additions to the package. Programing language ruby 2.6.5 fixed a code injection vulnerability along with three other Common Vulnerabilities and Exposures. openSUSE’s snapper 0.8.5 package updated to allow trailing comments in configuration files. The Linux Kernel updated to 5.3.6. NetworkManager 1.18.4 improved the handling of externally added policy routing rules and for rules that are taken over after a restart of a NetworkManager service. The NetworkManager-applet 1.8.24 package added support for SAE authentication (WPA3 Personal). Fix regression fixes were made in both the 2.62.1 versions of glib2 and glib-networking; the latter also made two memory leak fixes. Other noteworthy packages that were updated in the snapshot were webkit2gtk3 2.26.1, libsoup 2.68.2, grilo 0.3.10, and dconf 0.34.0. The snapshot is trending at a stable rating of 92, according to the Tumbleweed snapshot reviewer.

Most of the package updates for the 20191016 snapshot were YaST2 packages. A crash caused by a widget method was fixed in yast2-network 4.2.23 and at least 10 languages were updated in the yast2-trans package. People can contribute to the project by translating via openSUSE’s Weblate instance. There were about a handful of other packages updated in the snapshot, but the biggest one to note is a new major version of llvm9. The new major version of the compiler require only a python3-base instead of the full python3 packages. The LLVM optimizer will now convert calls to memcmp into a calls to bcmp in some circumstances. The major version also no longer views the RISCV target as “experimental.” It’s now built by default, rather than needing to be enabled with LLVM_EXPERIMENTAL_TARGETS_TO_BUILD. The snapshot recorded a stable rating of 91, according to the Tumbleweed snapshot reviewer.

Tumbleweed Gets Python Setuptools 40.0, New Versions of Frameworks, Applications

July 26th, 2018 by

Several packages were updated in openSUSE Tumbleweed snapshots this week and developers will notice the snapshots are reported to be extremely stable.

Wireshark, sysdig, GNOME’s evolution, KDE’s Frameworks and Applications, Ceph, vim and python-setuptools were just a few of the many packages that arrived in Tumbleweed this week.

Wireshark 2.6.2 received several Common Vulnerabilities and Exposures (CVE) updates in snapshot 20180723, which included a HTTP2 dissector crash. The sysdig tool for deep system visibility with native support for containers had a minor update to 0.22.0 and added support for addional custom container types alongside Docker. Configurable text editor vim was updated to version 8.1.0200 and poppler 0.66.0 fixed compilations with some strict compilers when rendering PDFs. Google’s RE2 package, which is fast, safe, thread-friendly alternative to backtracking regular expression engines like those used in PCRE, Perl, and Python, simplified the spec file and fixed a Deterministic Finite Automaton (DFA) out of memory error. Cups-filters 1.20.4 made some ipp and ipps changes and also removed support for hardware-implemented reversing of page order in PostScript printers for some rare printers. (more…)

Tumbleweed Preps for PulseAudio 10, Gets Ruby, Python Updates

January 18th, 2017 by

Developers using openSUSE Tumbleweed are always getting the newest packages as well as updated languages and past week’s snapshots delivered update versions of Python and Ruby.

The most recent snapshot, 20170112, brought Python 2.x users version 2.7.13, which updated cipher lists for openSSL wrapper and supports versions equal to or greater than OpenSSL 1.1.0. Python-unidecode 0.04.20 was also updated in the snapshot. Another update related to OpenSSL 1.1.0 was PulseAudio 9.99.1, which is a release in preparation for PulseAudio 10.0. PulseAudio 10.0 includes compatibility with OpenSSL 1.1.0, a fix for hotplugged USB surround sound cards and and automatic switching of Bluetooth profile when using VoIP applications.

The snapshot identified a packaging bug where the D-Bus service will restart and crash anything connected to D-Bus. This is likely to happen again in a future snapshot, unless some smart developers come up with a great workaround. Users are advised to subscribe to the openSUSE Factory Mailing List to be informed of development issues pertaining to Tumbleweed.

Tumbleweed users wanting the newest cryptographic protocols for secure communication will be pleased to see GnuTLS 3.5.8, which has several authentication enhancement, in the snapshot. LXDE-Common 0.99.2 was also in the snapshot along with Free Lossless Audio Codec (FLAC 1.3.2), X.org 1.19 and Libproxy 0.4.14.

(more…)